using System;

namespace AutomobileService
{
    public static class AutomobileServiceConstants
    {
        public const string DemoTemplate = "/demo.html";

        public const string YearsTemplate = "/";
        public const string MakesTemplate = "/{year}";
        public const string ModelsTemplate = "/{year}/{make}";
        public const string EnginesTemplate = "/{year}/{make}/{model}";
        public const string EngineTemplate = "/{year}/{make}/{model}/{engine}";

        public const string YearsJsonTemplate = "/json";
        public const string MakesJsonTemplate = "/json/{year}";
        public const string ModelsJsonTemplate = "/json/{year}/{make}";
        public const string EnginesJsonTemplate = "/json/{year}/{make}/{model}";
        public const string EngineJsonTemplate = "/json/{year}/{make}/{model}/{engine}";

        public static readonly UriTemplate Years = new UriTemplate(YearsTemplate);
        public static readonly UriTemplate Makes = new UriTemplate(MakesTemplate);
        public static readonly UriTemplate Models = new UriTemplate(ModelsTemplate);
        public static readonly UriTemplate Engines = new UriTemplate(EnginesTemplate);
        public static readonly UriTemplate Engine = new UriTemplate(EngineTemplate);

        public static readonly UriTemplate YearsJson = new UriTemplate(YearsJsonTemplate);
        public static readonly UriTemplate MakesJson = new UriTemplate(MakesJsonTemplate);
        public static readonly UriTemplate ModelsJson = new UriTemplate(ModelsJsonTemplate);
        public static readonly UriTemplate EnginesJson = new UriTemplate(EnginesJsonTemplate);
        public static readonly UriTemplate EngineJson = new UriTemplate(EngineJsonTemplate);
    }
}