using System.ServiceModel;
using System.ServiceModel.Channels;
using System.ServiceModel.Web;

namespace CatchAllAutomobileService
{
    [ServiceContract]
    public interface IAutomobileService
    {
        [OperationContract]
        [WebGet(UriTemplate = "/{year}/*")]
        Message Get();

        [OperationContract]
        [WebInvoke(UriTemplate = "*")]
        Message Post(Message data);

        [OperationContract]
        [WebInvoke(Method = "PUT", UriTemplate = "*")]
        Message Put(Message data);

        [OperationContract]
        [WebInvoke(Method = "DELETE", UriTemplate = "*")]
        Message Delete();

        /*
         * Demo Page Only, Not part of the Sample
         */
        [OperationContract]
        [WebGet(UriTemplate = AutomobileServiceConstants.DemoTemplate)]
        Message GetDemoPage();
    }
}