using System.ServiceModel.Channels;
using System.Xml;

namespace WcfRestUtilities
{
    /// <summary>
    /// This is an implementation of an BodyWriter that does nothing OnWriteBodyContents 
    /// </summary>
    public class EmptyBodyWriter : BodyWriter
    {
        /// <summary>
        /// A static instance of the EmptyBodyWriter
        /// </summary>
        public readonly static EmptyBodyWriter Instance = new EmptyBodyWriter();

        /// <summary>
        /// Initializes a new instance of EmptyBodyWriter
        /// </summary>
        public EmptyBodyWriter() : base(true)
        { }

        /// <summary>
        /// The EmptyBodyWriter writes nothing to the body contents
        /// </summary>
        /// <param name="writer">The writer to write data</param>
        protected override void OnWriteBodyContents(XmlDictionaryWriter writer) { }
    }
}